import Global from '../../_global.mdx';

# teams user app upgrade

Upgrade an app in the personal scope of the specified user

## Usage

```sh
m365 teams user app upgrade [options]
```

## Options

```md definition-list
`--id [id]`
: The unique id of the app instance installed for the user. Specify either `id` or `name`.

`--name [name]`
: Name of the app instance installed for the user. Specify either `id` or `name`.

`--userId [userId]`
: The ID of the user to upgrade the app for. Specify either `userId` or `userName` but not both.

`--userName [userName]`
: The UPN of the user to upgrade the app for. Specify either `userId` or `userName` but not both.
```

<Global />

## Examples

Upgrade an app by name for the specified user using its UPN.

```sh
m365 teams user app upgrade --name HelloWorld --userName admin@contoso.com
```

Upgrade an app by name for the specified user using its id.

```sh
m365 teams user app upgrade --name HelloWorld --userId 2609af39-7775-4f94-a3dc-0dd67657e900
```

Upgrade an app by id for the specified user using its UPN.

```sh
m365 teams user app upgrade --id YzUyN2E0NzAtYTg4Mi00ODFjLTk4MWMtZWU2ZWZhYmE4NWM3IyM0ZDFlYTA0Ny1mMTk2LTQ1MGQtYjJlOS0wZDI4NTViYTA1YTY= --userName admin@contoso.com
```

Upgrade an app by id for the specified user using its id.

```sh
m365 teams user app upgrade --id YzUyN2E0NzAtYTg4Mi00ODFjLTk4MWMtZWU2ZWZhYmE4NWM3IyM0ZDFlYTA0Ny1mMTk2LTQ1MGQtYjJlOS0wZDI4NTViYTA1YTY= --userId 2609af39-7775-4f94-a3dc-0dd67657e900
```

## Response

The command won't return a response on success.
